Get legacy index templates

  • GET /_template/{name}
  • GET /_template
Auth Deprecated

Get information about one or more index templates.

Important

This documentation is about legacy index templates, which are deprecated and will be replaced by the composable templates introduced in Elasticsearch 7.8.

Read the reference documentation

Required privileges

Cluster privileges manage_index_templates

Path parameters

name union string | string[] optional

Comma-separated list of index template names used to limit the request. Wildcard (*) expressions are supported. To return all index templates, omit this parameter or use a value of _all or *.

Leave it out to use /_template.

Query parameters

flat_settings boolean · default: false

If true, returns settings in flat format.

local boolean · default: false deprecated

If true, the request retrieves information from the local node only.

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json